/* test.c 
 * Compile and run:  gcc -std=c99 -o test test.c duktape-1.3.1/src/duktape.c -I duktape-1.3.1/src/  -lm && ./test mocha/mocha.js
 * */
#include "duktape.h"

int main(int argc, char *argv[]) {
  if(argc < 2){
    return 1;
  }
  duk_context *ctx = duk_create_heap_default();
  if (duk_peval_file(ctx, argv[1]) != 0) {
        printf("eval failed: %s\n", duk_safe_to_string(ctx, -1));
  } else {
        printf("result is: %s\n", duk_safe_to_string(ctx, -1));
  }
  duk_pop(ctx);
  duk_destroy_heap(ctx);
  return 0;
}
